List accounting periods
GET
/api/accounting/periods
const url = 'https://api.getvespy.com/api/accounting/periods';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/accounting/periods \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
periods
required
Array<object>
object
closedAt
required
string format: date-time
closedByUserId
required
string format: uuid
createdAt
required
string format: date-time
endDate
required
string format: date
fiscalYear
required
integer
id
required
string format: uuid
organizationId
required
string format: uuid
periodNumber
required
integer
reopenReason
required
string
reopenedAt
required
string format: date-time
reopenedByUserId
required
string format: uuid
startDate
required
string format: date
status
required
string
updatedAt
required
string format: date-time
Example
{ "periods": [ { "status": "open" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}